﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLDataChart
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<MyClass> itemsCollection;

        public MainPage()
        {
            InitializeComponent();

            itemsCollection = new ObservableCollection<MyClass>();
            itemsCollection.Add(new MyClass(new DateTime(1999, 5, 5), 5));
            itemsCollection.Add(new MyClass(new DateTime(2000, 7, 5), 8));
            itemsCollection.Add(new MyClass(new DateTime(2000, 3, 2), 3));


            this.DataContext = itemsCollection;
            this.igDataChart.DataContext = itemsCollection;

        }


        private void igDataChart_SeriesMouseLeftButtonDown_1(object sender, DataChartMouseButtonEventArgs e)
        {
            MyClass clickedItem = e.Item as MyClass;
            MessageBox.Show("X: " + clickedItem.Key + "; Y: " + clickedItem.Value);
        }
    }

    public class MyClass
    {
        public DateTime Key { get; set; }
        public Double Value { get; set; }

        public MyClass(DateTime Key, Double Value)
        {
            this.Key = Key;
            this.Value = Value;
        }
    }
}
